Rivet: 2D scatter booking

| Rivet 3.1.9

Functions
2D scatter booking

## Functions
Scatter1DPtr & | Rivet::Analysis::book (Scatter1DPtr &s1d, const string &hname)
| Book a 1-dimensional data point set with the given name.
Scatter1DPtr & | Rivet::Analysis::book (Scatter1DPtr &s1d, unsigned int datasetId, unsigned int xAxisId, unsigned int yAxisId)
| Book a 1-dimensional data point set, using the reference-data histogram indices.
Scatter1DPtr & | Rivet::Analysis::book (Scatter1DPtr &s1d, const string &hname, const Scatter1D &refscatter)
| Book a 1-dimensional data point set from an existing scatter and a new path.
Scatter2DPtr & | Rivet::Analysis::book (Scatter2DPtr &s2d, const string &hname, bool copy_pts=false)
| Book a 2-dimensional data point set with the given name.
Scatter2DPtr & | Rivet::Analysis::book (Scatter2DPtr &s2d, unsigned int datasetId, unsigned int xAxisId, unsigned int yAxisId, bool copy_pts=false)
| Book a 2-dimensional data point set, using the binnings in the reference data histogram.
Scatter2DPtr & | Rivet::Analysis::book (Scatter2DPtr &s2d, const string &hname, size_t npts, double lower, double upper)
| Book a 2-dimensional data point set with equally spaced x-points in a range.
Scatter2DPtr & | Rivet::Analysis::book (Scatter2DPtr &s2d, const string &hname, const std::vector< double > &binedges)
| Book a 2-dimensional data point set based on provided contiguous "bin edges".
Scatter2DPtr & | Rivet::Analysis::book (Scatter2DPtr &s2d, const string &hname, const Scatter2D &refscatter)
| Book a 2-dimensional data point set with x-points from an existing scatter and a new path.

## Detailed Description

Todo:
  REINSTATE

## Function Documentation

## ◆ book() [1/6]

Scatter1DPtr & Rivet::Analysis::book | ( | Scatter1DPtr & | s1d,
|  | const string & | hname
| ) |  |
| protected

Book a 1-dimensional data point set with the given name.

Note
  Unlike histogram booking, scatter booking by default makes no attempt to use reference data to pre-fill the data object. For 1D scatters there is no option to pre-book as there is no equivalent "bin axis" and so this mainly exists as a way to book targets for counter division.

## ◆ book() [2/6]

Scatter1DPtr & Rivet::Analysis::book | ( | Scatter1DPtr & | s1d,
|  | unsigned int | datasetId,
|  | unsigned int | xAxisId,
|  | unsigned int | yAxisId
| ) |  |
| protected

Book a 1-dimensional data point set, using the reference-data histogram indices.

The paper, dataset and x/y-axis IDs will be used to build the histo name in the HepData standard way.

Note
  Unlike histogram booking, scatter booking by default makes no attempt to use reference data to pre-fill the data object. For 1D scatters there is no option to pre-book as there is no equivalent "bin axis" and so this mainly exists as a way to book targets for counter division.

## ◆ book() [3/6]

Scatter2DPtr & Rivet::Analysis::book | ( | Scatter2DPtr & | s2d,
|  | const string & | hname,
|  | bool | copy_pts = `false`
| ) |  |
| protected

Book a 2-dimensional data point set with the given name.

Note
  Unlike histogram booking, scatter booking by default makes no attempt to use reference data to pre-fill the data object. If you want this, which is sometimes useful e.g. when the x-position is not really meaningful and can't be extracted from the data, then set the copy_pts parameter to true. This creates points to match the reference data's x values and errors, but with the y values and errors zeroed... assuming that there is a reference histo with the same name: if there isn't, an exception will be thrown.

## ◆ book() [4/6]

Scatter2DPtr & Rivet::Analysis::book | ( | Scatter2DPtr & | s2d,
|  | const string & | hname,
|  | const std::vector< double > & | binedges
| ) |  |
| protected

Book a 2-dimensional data point set based on provided contiguous "bin edges".

The y values and errors will be set to 0.

## ◆ book() [5/6]

Scatter2DPtr & Rivet::Analysis::book | ( | Scatter2DPtr & | s2d,
|  | const string & | hname,
|  | size_t | npts,
|  | double | lower,
|  | double | upper
| ) |  |
| protected

Book a 2-dimensional data point set with equally spaced x-points in a range.

The y values and errors will be set to 0.

## ◆ book() [6/6]

Scatter2DPtr & Rivet::Analysis::book | ( | Scatter2DPtr & | s2d,
|  | unsigned int | datasetId,
|  | unsigned int | xAxisId,
|  | unsigned int | yAxisId,
|  | bool | copy_pts = `false`
| ) |  |
| protected

Book a 2-dimensional data point set, using the binnings in the reference data histogram.

The paper, dataset and x/y-axis IDs will be used to build the histo name in the HepData standard way.

Note
  Unlike histogram booking, scatter booking by default makes no attempt to use reference data to pre-fill the data object. If you want this, which is sometimes useful e.g. when the x-position is not really meaningful and can't be extracted from the data, then set the copy_pts parameter to true. This creates points to match the reference data's x values and errors, but with the y values and errors zeroed.